select
    an.numero as numero
    , an.nome as nome_resumido
    , an.regassocraca as rgd
    , (select grausangue from SP_CALCULAGRAUSANGUE(an.cdanimal)) as raca
    , (case
        when an.dtbaixa is not null then 'Sim'
    else 'No' end) as baixado
    , m.descricao as grupo_alpro
    , lei1.dtleite as data_leite
    , lei1.PESOTOTAL as peso_total_leite
    , (lei1.dtleite - lac.dtinicio) as DEL
from
    leite lei1
    left join animal an on lei1.cdanimal=an.cdanimal
    left join lactacao lac on lac.cdlactacao = lei1.cdlactacao
    left join grupoanimal m on m.cdgrupoanimal =
        (select first 1 re.cdgrupoanimal
        from movgrupo re
            join movgrupoanimal mov on mov.cdmovgrupo = re.cdmovgrupo
                and mov.cdanimal = lei1.cdanimal
        where re.dtmovimentacao < lei1.dtleite
        order by re.dtmovimentacao desc)
where   
    an.tipoanimal = 'A'
    and an.animalrebanho = '1'
-----*****SE VOC DESEJA ESPECIFICAR O PERODO DE INCIO DOS CONTROLES LEITEROS, EDITE A INFORMAO NA LINHA A SEGUIR *****-----
    and lei1.dtleite > '01/01/1900'
-----*****SE VOC DESEJA ESPECIFICAR O PERODO DE FIM DOS CONTROLES LEITEROS, EDITE A INFORMAO NA LINHA A SEGUIR *****-----
    and lei1.dtleite < '12/31/2900'
-----***** NO RETIRAR AS ASPAS SIMPLES DAS DATAS *****-----
-----***** INFORMAR As DATAS NO FORMATO MM/DD/AAAA *****-----
order by 1,6
